Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class CalendarControl.SWTCalendarEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  semorg.gui.util.CalendarControl.SWTCalendarEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  CalendarControl

    public class CalendarControl.SWTCalendarEvent

extends org.eclipse.swt.events.TypedEvent

The Class SWTCalendarEvent.

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` The Constant serialVersionUID.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CalendarControl.SWTCalendarEvent(org.eclipse.swt.widgets.Event event)` Instantiates a new SWT calendar event.

Method Summary
`Calendar` | `getCalendar()` Returns the calendar.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  The Constant serialVersionUID.

  See Also:
    Constant Field Values

Constructor Detail

### CalendarControl.SWTCalendarEvent

    public CalendarControl.SWTCalendarEvent(org.eclipse.swt.widgets.Event event)

  Instantiates a new SWT calendar event.

  Parameters:
    `event` - the event

Method Detail

### getCalendar

    public Calendar getCalendar()

  Returns the calendar.

  Returns:
    the calendar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD